Delete timeOff
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Delete a timeOff instance from a schedule.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Group.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Schedule.ReadWrite.All* |
* Important: Application permissions are currently in private preview only and are not available for public use.
Note: This API supports admin permissions. Global admins can access groups that they are not a member of.
HTTP request
DELETE /teams/{teamId}/schedule/timesOff/{timeOffId}
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 204 No Content response code. It does not return anything in the response body.
Example
Request
The following is an example of the request.
DELETE https://graph.microsoft.com/beta/teams/{teamId}/schedule/timesOff/{timeOffId}
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 204 No Content
Feedback
Submit and view feedback for